"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bridgeResolvers = void 0;
const spl_utils_1 = require("@render-foundation/spl-utils");
exports.bridgeResolvers = (0, spl_utils_1.combineResolvers)(spl_utils_1.renderCommonResolver, (0, spl_utils_1.ataResolver)({
    instruction: "initializeBridgeV1",
    account: "rndrEscrow",
    mint: "rndrMint",
    owner: "bridge",
}), (0, spl_utils_1.ataResolver)({
    instruction: "initializeBridgeV1",
    account: "wrndrEscrow",
    mint: "wrndrMint",
    owner: "redeemerConfig"
}), (0, spl_utils_1.ataResolver)({
    instruction: "receiveRenderV1",
    account: "rndrEscrow",
    mint: "rndrMint",
    owner: "bridge",
}), (0, spl_utils_1.ataResolver)({
    instruction: "receiveRenderV1",
    account: "wrndrEscrow",
    mint: "wrndrMint",
    owner: "config",
}), (0, spl_utils_1.ataResolver)({
    instruction: "receiveRenderV1",
    account: "recipientAta",
    mint: "rndrMint",
    owner: "recipient",
}));
//# sourceMappingURL=resolvers.js.map