import { ataResolver, combineResolvers, renderCommonResolver } from "@render-foundation/spl-utils";
export const bridgeResolvers = combineResolvers(renderCommonResolver, ataResolver({
    instruction: "initializeBridgeV1",
    account: "rndrEscrow",
    mint: "rndrMint",
    owner: "bridge",
}), ataResolver({
    instruction: "initializeBridgeV1",
    account: "wrndrEscrow",
    mint: "wrndrMint",
    owner: "redeemerConfig"
}), ataResolver({
    instruction: "receiveRenderV1",
    account: "rndrEscrow",
    mint: "rndrMint",
    owner: "bridge",
}), ataResolver({
    instruction: "receiveRenderV1",
    account: "wrndrEscrow",
    mint: "wrndrMint",
    owner: "config",
}), ataResolver({
    instruction: "receiveRenderV1",
    account: "recipientAta",
    mint: "rndrMint",
    owner: "recipient",
}));
//# sourceMappingURL=resolvers.js.map